## EogApplication

EogApplication

## Functions

EogApplication * | eog_application_get_instance ()
gboolean | eog_application_open_window ()
gboolean | eog_application_open_uri_list ()
gboolean | eog_application_open_file_list ()
gboolean | eog_application_open_uris ()
void | eog_application_screensaver_enable ()
void | eog_application_screensaver_disable ()

## Types and Values

#define | EOG_APP
struct | EogApplication

## Object Hierarchy

        GObject
        ╰── GApplication
            ╰── GtkApplication
                ╰── EogApplication

## Implemented Interfaces

EogApplication implements GActionGroup and GActionMap.

## Description

## Functions

### eog_application_get_instance ()

    EogApplication *
    eog_application_get_instance (void);

Returns a singleton instance of EogApplication currently running. If not running yet, it will create one.

#### Returns

a running EogApplication.

[transfer none]

### eog_application_open_window ()

    gboolean
    eog_application_open_window (EogApplication *application,
                                 guint timestamp,
                                 EogStartupFlags flags,
                                 GError **error);

Opens and presents an empty EogWindow to the user. If there is an empty window already open, this will be used. Otherwise, a new one will be instantiated.

#### Parameters

application | An EogApplication. |
timestamp | The timestamp of the user interaction which triggered this call (see `gtk_window_present_with_time()`). |
flags | A set of EogStartupFlags influencing a new windows' state. |
error | Return location for a GError, or NULL to ignore errors. |

#### Returns

`FALSE` if `application` is invalid, `TRUE` otherwise

### eog_application_open_uri_list ()

    gboolean
    eog_application_open_uri_list (EogApplication *application,
                                   GSList *uri_list,
                                   guint timestamp,
                                   EogStartupFlags flags,
                                   GError **error);

Opens a list of images, from a list of URIs. See `eog_application_open_file_list()` for details.

#### Parameters

application | An EogApplication. |
uri_list | A list of URIs. | [element-type utf8]
timestamp | The timestamp of the user interaction which triggered this call (see `gtk_window_present_with_time()`). |
flags | A set of EogStartupFlags influencing a new windows' state. |
error | Return location for a GError, or NULL to ignore errors. |

#### Returns

Currently always `TRUE`.

### eog_application_open_file_list ()

    gboolean
    eog_application_open_file_list (EogApplication *application,
                                    GSList *file_list,
                                    guint timestamp,
                                    EogStartupFlags flags,
                                    GError **error);

Opens a list of files in a EogWindow. If an EogWindow displaying the first image in the list is already open, this will be used. Otherwise, an empty EogWindow is used, either already existing or newly created. If the EOG_STARTUP_SINGLE_WINDOW flag is set, the files are opened in the first EogWindow and no new one is opened.

#### Parameters

application | An EogApplication. |
file_list | A list of GFiles. | [element-type GFile]
timestamp | The timestamp of the user interaction which triggered this call (see `gtk_window_present_with_time()`). |
flags | A set of EogStartupFlags influencing a new windows' state. |
error | Return location for a GError, or NULL to ignore errors. |

#### Returns

Currently always `TRUE`.

### eog_application_open_uris ()

    gboolean
    eog_application_open_uris (EogApplication *application,
                               gchar **uris,
                               guint timestamp,
                               EogStartupFlags flags,
                               GError **error);

Opens a list of images, from a list of URI strings. See `eog_application_open_file_list()` for details.

#### Parameters

application | an EogApplication |
uris | A GList of URI strings. |
timestamp | The timestamp of the user interaction which triggered this call (see `gtk_window_present_with_time()`). |
flags | A set of EogStartupFlags influencing a new windows' state. |
error | Return location for a GError, or NULL to ignore errors. |

#### Returns

Currently always `TRUE`.

### eog_application_screensaver_enable ()

    void
    eog_application_screensaver_enable (EogApplication *application);

### eog_application_screensaver_disable ()

    void
    eog_application_screensaver_disable (EogApplication *application);

## Types and Values

### EOG_APP

    #define EOG_APP				(eog_application_get_instance ())

### struct EogApplication

    struct EogApplication;